<simulator-page *ngIf='vm$ | async as vm'>
  <div class='bg-white dark:bg-gray-800 px-4 py-6 sm:p-6 rounded-2xl'>
    <simulator-alert *ngIf='vm.error' class='mb-5' title='Error' [subtitle]='vm.error' logo='warning'
                     colorLogo='text-rose-500'></simulator-alert>
    <div class='grid gap-5 sm:grid-cols-1 md:grid-cols-3 grid-cols-1 lg:grid-cols-4 mt-8'>
        <button type='button'
                (click)='openPicker($event, pickerFrom)'
                class='px-4 py-2 border border-transparent
                rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none
                 focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 text-center flex-1'>
          From: {{vm.date?.start | amDateFormat:'MMMM Do YYYY' }} To: {{vm.date?.end | amDateFormat:'MMMM Do YYYY' }}
        </button>
        <ngx-dates-picker [headless]='true' #pickerFrom [(ngModel)]='date'
                          class='absolute'
                          [options]='{minDate: minDate, maxDate: maxDate, selectRange: true}'></ngx-dates-picker>
      <button type='button'
              (click)='exportDataDHXHandler(vm.dhx, vm.exportedDataDHX)'
              class='px-4 py-2 border border-transparent rounded-md shadow-sm
               text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2
               focus:ring-offset-2 focus:ring-indigo-500 text-center flex-1'>
        Export DHX
      </button>
      <button type='button'
              (click)='exportDataMXCHandler(vm.mxc, vm.exportedDataMXC)'
              class='px-4 py-2 border border-transparent rounded-md shadow-sm
               text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2
               focus:ring-offset-2 focus:ring-indigo-500 flex-1 text-center'>
        Export MXC
      </button>
    </div>
    <h2 class='font-bold mb-8 mt-8'>DHX Earnings</h2>
    <!--    Bar Chart -->
    <div class='grid grid-cols-1 gap-5 sm:grid-cols-1 md:grid-cols-1 lg:grid-cols-2'>
      <div class='flex-1 mt-10' style='max-height: 250px'>
        <ngx-charts-line-chart
          class='inline-block'
          style='fill: #7b7b7b;'
          [scheme]='{domain: ["#1D9BF4"] }'
          [results]='vm.dhxMiningHistory?.dhxMining'
          [showXAxisLabel]=true
          [xAxis]='true'
          [yAxis]='true'>
        </ngx-charts-line-chart>
      </div>
      <div class='flex-1 mt-10'>
        <simulator-tiles title='DHX Earned'
                         [value]='{buy: vm.dhxMiningHistory?.globalEarning}'
                         class='animate__animated animate__duration-2s animate__fadeInDown'
                         logo='https://s2.coinmarketcap.com/static/img/coins/200x200/6771.png'></simulator-tiles>
        <simulator-tiles title='DHX Earned (USD)'
                         [value]='{buy: vm.dhxMiningHistory?.globalEarningUsd}'
                         currency='$'
                         class='animate__animated animate__duration-2s animate__fadeInDown mt-4'
                         logo='https://s2.coinmarketcap.com/static/img/coins/200x200/6771.png'></simulator-tiles>
      </div>
    </div>
      <!--    End Of Bar Chart -->
      <h2 class='font-bold mb-8 mt-8'>MXC Earnings</h2>
      <div class='grid grid-cols-1 gap-5 sm:grid-cols-1 md:grid-cols-1 lg:grid-cols-2'>
        <div class='flex-1 mt-10' style='max-height: 250px'>
          <ngx-charts-line-chart
            class='inline-block'
            style='fill: #7b7b7b;'
            [scheme]='{domain: ["#1D9BF4"] }'
            [results]='vm.mxcTransactions?.minings'
            [showXAxisLabel]=true
            [xAxis]='true'
            [yAxis]='true'>
          </ngx-charts-line-chart>
        </div>
        <div class='flex-1 mt-10'>
          <simulator-tiles title='MXC Earned'
                           [value]='{buy: vm.mxcTransactions?.miningsTotal}'
                           class='animate__animated animate__duration-2s animate__fadeInDown'
                           logo='https://d33wubrfki0l68.cloudfront.net/2e4761581d2d2b2e228bd25e1550fae994f140a2/e92d6/images/mxc_logo-social.svg'></simulator-tiles>
          <simulator-tiles title='MXC Earned (USD)'
                           [value]='{buy: vm.mxcTransactions?.miningsTotalUSD}'
                           currency='$'
                           class='animate__animated animate__duration-2s animate__fadeInDown mt-4'
                           logo='https://d33wubrfki0l68.cloudfront.net/2e4761581d2d2b2e228bd25e1550fae994f140a2/e92d6/images/mxc_logo-social.svg'></simulator-tiles>
        </div>
      </div>
      <h2 class='font-bold mb-8 mt-8'>Transactions</h2>
      <div class='grid grid-cols-1 bg-gray-50 sm:grid-cols-1 md:grid-cols-1 lg:grid-cols-1 overflow-auto'>
        <simulator-transactions-table [allTransactions]='vm.allTransactions'></simulator-transactions-table>
      </div>
  </div>
</simulator-page>
